libcoap 4.3.2rc2

Data Fields
coap_crypto_aes_ccm_t Struct Reference
Libcoap Internal API » OSCORE Crypto Support

The structure that holds the AES Crypto information. More...

`#include <coap_crypto_internal.h>`

## Data Fields
coap_crypto_key_t | key
| The Key to use. More...
const uint8_t * | nonce
| must be exactly 15 - l bytes More...
size_t | tag_len
| The size of the Tag. More...
size_t | l
| The number of bytes in the length field. More...

## Detailed Description

The structure that holds the AES Crypto information.

Definition at line 49 of file coap_crypto_internal.h.

## Field Documentation

## ◆ key

coap_crypto_key_t coap_crypto_aes_ccm_t::key

The Key to use.

Definition at line 50 of file coap_crypto_internal.h.

## ◆ l

size_t coap_crypto_aes_ccm_t::l

The number of bytes in the length field.

Definition at line 53 of file coap_crypto_internal.h.

## ◆ nonce

const uint8_t* coap_crypto_aes_ccm_t::nonce

must be exactly 15 - l bytes

Definition at line 51 of file coap_crypto_internal.h.

## ◆ tag_len

size_t coap_crypto_aes_ccm_t::tag_len

The size of the Tag.

Definition at line 52 of file coap_crypto_internal.h.

The documentation for this struct was generated from the following file:

- coap_crypto_internal.h